#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: equivalence
version: 0.3.2
id: equivalence-0.3.2-GSklipYt0ftG7Nji9IsyOh
key: equivalence-0.3.2-GSklipYt0ftG7Nji9IsyOh
license: BSD3
maintainer: paba@di.ku.dk
stability: provisional
homepage: https://github.com/pa-ba/equivalence
synopsis: Maintaining an equivalence relation implemented as union-find using STT.
description:
    This is an implementation of Tarjan'\''s Union-Find algorithm (Robert
    E. Tarjan. "Efficiency of a Good But Not Linear Set Union
    Algorithm", JACM 22(2), 1975) in order to maintain an equivalence
    relation.
    This implementation is a port of the /union-find/ package using the
    ST monad transformer (instead of the IO monad).
category: Algorithms, Data
author: Patrick Bahr
exposed: True
exposed-modules:
    Data.Equivalence.STT Data.Equivalence.Monad
abi: bc7739a774f910bebf0135d2ba2dda81
trusted: False
import-dirs: /usr/lib/ghc-8.0.2/site-local/equivalence-0.3.2
library-dirs: /usr/lib/ghc-8.0.2/site-local/equivalence-0.3.2
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-8.0.2
data-dir: /usr/share/x86_64-linux-ghc-8.0.2/equivalence-0.3.2
hs-libraries: HSequivalence-0.3.2-GSklipYt0ftG7Nji9IsyOh
depends:
    STMonadTrans-0.4.3-3tmnVgm5g675zsXJyaz72g base-4.9.1.0
    containers-0.5.7.1 mtl-2.2.1-BLKBelFsPB3BoFeSWSOYj6
    transformers-0.5.2.0
    transformers-compat-0.5.1.4-IuFogs8HAVUJBWVNMhtssu
haddock-interfaces: /usr/share/doc/haskell-equivalence/html/equivalence.haddock
haddock-html: /usr/share/doc/haskell-equivalence/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"
